backend:
  name: "github" # Define o backend como GitHub
  repo: "medlar-dev/site-med" # Repositório GitHub
  branch: "main" # Branch principal do repositório
  base_url: "https://sveltia-cms-auth.ti-352.workers.dev"

media_folder: "src/assets/images/blog/" # Localização onde os arquivos serão armazenados no repositório
public_folder: "assets/images/blog" # Caminho público para os arquivos de mídia

collections:
  - name: "post"
    label: "Posts"
    folder: "src/data/post" # Pasta onde os posts são armazenados
    create: true # Permite criar novos itens
    slug: "{{slug}}" # Define o formato do slug
    fields:
      - label: "Título do Post"
        name: "title"
        widget: "string"
      - label: "Data de Publicação"
        name: "publishDate"
        widget: "datetime"
      - label: "Resumo do Post"
        name: "excerpt"
        widget: "text"
      - label: "Imagem de Destaque"
        name: "image"
        widget: "image"
      - label: "Categoria do Post"
        name: "category"
        widget: "string"
      - label: "Tags (Palavras-Chave)"
        name: "tags"
        widget: "list"
        field:
          label: "Tag"
          name: "tag"
          widget: "string"
        hint: "Separe as tags por vírgula."
      - label: "Conteúdo do Post"
        name: "body"
        widget: "markdown"
      - label: "URL Canônica"
        name: "canonical"
        widget: "string"
